/**
 *
 */
package de.intevation.gnv.profile.horizontal;

import org.apache.log4j.Logger;
import org.w3c.dom.Document;

import de.intevation.artifacts.ArtifactFactory;
import de.intevation.artifacts.CallContext;
import de.intevation.gnv.artifacts.GNVArtifactBase;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class HorizontalProfileArtifact extends GNVArtifactBase {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(HorizontalProfileArtifact.class);
    /**
     *
     */
    private static final long serialVersionUID = -721831166719594662L;
    
    /**
     * Constructor
     */
    public HorizontalProfileArtifact(){
        super();
        log.debug("HorizontalProfileArtifact.Constructor");
        this.name = "horizontalProfile";
    }

    /**
     * @see de.intevation.artifactdatabase.DefaultArtifact#describe(java.lang.Object)
     */
    @Override
    public Document describe(CallContext context) {
        log.debug("HorizontalProfileArtifact.describe");
        return super.createDescibeOutput();
    }

    /**
     * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String, de.intevation.artifacts.ArtifactFactory, java.lang.Object)
     */
    @Override
    public void setup(String identifier, ArtifactFactory factory, Object context) {
        log.debug("HorizontalProfileArtifact.setup");
        super.setup(identifier,factory,context);
    }
}
